Bug 837791 - [FEAT] Gluster Cli exits when Ctrl+C entered
[FEAT] Gluster Cli exits when Ctrl+C entered
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: EasyFix, FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 05:23 EDT by Amit Chauhan
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Chauhan 2012-07-05 05:23:27 EDT
Description of problem:
Gluster Cli exits when Ctrl+C entered

Version-Release number of selected component (if applicable):
Mainline

How reproducible:
Bug can be reproduced using following simple steps

Steps to Reproduce:
1.Open Gluster Cli
2.type Ctrl+C
3.Gluster Cli exits
  
Actual results:
Gluster Cli exits when Ctrl+C entered

Expected results:
To make Gluster Cli in line with the Linux-based Cli, following are the expectations. 
1.On Gluster Cli , when Ctrl+C entered, commands written at Cli must be ignored and cursor should move to new line. 
2. If no command is written at Gluster Cli and CTRL+C entered, cursor should move to new line

Additional info:
Comment 1 Amar Tumballi 2012-07-11 01:00:52 EDT
Amit,
Thanks for reporting. We are not working on it right away, hence the priority low. Lets know if you think otherwise.
Comment 2 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.